package config

import "os"

type Config struct {
	Port     string
	DataPath string
}

func Load() Config {
	port := os.Getenv("PORT")
	if port == "" {
		port = "8002"
	}

	dataPath := os.Getenv("DATA_PATH")
	if dataPath == "" {
		dataPath = "./data"
	}

	return Config{
		Port:     port,
		DataPath: dataPath,
	}
}
